searchData={"items":[{"type":"task","title":"mix redbird.delete_all_sessions","doc":"Deletes all redbird sessions.","ref":"Mix.Tasks.Redbird.DeleteAllSessions.html"},{"type":"task","title":"Example - mix redbird.delete_all_sessions","doc":"mix redbird.delete_all_sessions my_app\n\nThe first argument is the app specific key_namespace you set in your plug\nsession config. If no argument is given, it will delete all redbird sessions.","ref":"Mix.Tasks.Redbird.DeleteAllSessions.html#module-example"},{"type":"function","title":"Mix.Tasks.Redbird.DeleteAllSessions.delete_all_sessions/1","doc":"","ref":"Mix.Tasks.Redbird.DeleteAllSessions.html#delete_all_sessions/1"},{"type":"function","title":"Mix.Tasks.Redbird.DeleteAllSessions.run/1","doc":"Callback implementation for  Mix.Task.run/1 .","ref":"Mix.Tasks.Redbird.DeleteAllSessions.html#run/1"},{"type":"module","title":"Plug.Session.REDIS","doc":"Stores the session in a redis store.","ref":"Plug.Session.REDIS.html"},{"type":"function","title":"Plug.Session.REDIS.delete/3","doc":"Callback implementation for  Plug.Session.Store.delete/3 .","ref":"Plug.Session.REDIS.html#delete/3"},{"type":"function","title":"Plug.Session.REDIS.get/3","doc":"Callback implementation for  Plug.Session.Store.get/3 .","ref":"Plug.Session.REDIS.html#get/3"},{"type":"function","title":"Plug.Session.REDIS.init/1","doc":"Callback implementation for  Plug.Session.Store.init/1 .","ref":"Plug.Session.REDIS.html#init/1"},{"type":"function","title":"Plug.Session.REDIS.put/4","doc":"Callback implementation for  Plug.Session.Store.put/4 .","ref":"Plug.Session.REDIS.html#put/4"},{"type":"module","title":"Redbird","doc":"Redbird application.","ref":"Redbird.html"},{"type":"function","title":"Redbird.start/2","doc":"Callback implementation for  Application.start/2 .","ref":"Redbird.html#start/2"},{"type":"module","title":"Redbird.Crypto","doc":"Crypto helper functions for Redbird.","ref":"Redbird.Crypto.html"},{"type":"function","title":"Redbird.Crypto.safe_binary_to_term/2","doc":"","ref":"Redbird.Crypto.html#safe_binary_to_term/2"},{"type":"function","title":"Redbird.Crypto.sign_key/3","doc":"","ref":"Redbird.Crypto.html#sign_key/3"},{"type":"function","title":"Redbird.Crypto.verify_key/3","doc":"","ref":"Redbird.Crypto.html#verify_key/3"},{"type":"module","title":"Redbird.Key","doc":"Key helper functions for Redbird.","ref":"Redbird.Key.html"},{"type":"function","title":"Redbird.Key.accessible?/3","doc":"","ref":"Redbird.Key.html#accessible?/3"},{"type":"function","title":"Redbird.Key.extract_key/1","doc":"","ref":"Redbird.Key.html#extract_key/1"},{"type":"function","title":"Redbird.Key.generate/2","doc":"","ref":"Redbird.Key.html#generate/2"},{"type":"function","title":"Redbird.Key.namespace/0","doc":"","ref":"Redbird.Key.html#namespace/0"},{"type":"function","title":"Redbird.Key.sign_key/2","doc":"","ref":"Redbird.Key.html#sign_key/2"},{"type":"module","title":"Redbird.Redis","doc":"Redis helper functions for Redbird.","ref":"Redbird.Redis.html"},{"type":"function","title":"Redbird.Redis.child_spec/1","doc":"","ref":"Redbird.Redis.html#child_spec/1"},{"type":"function","title":"Redbird.Redis.del/1","doc":"","ref":"Redbird.Redis.html#del/1"},{"type":"function","title":"Redbird.Redis.get/1","doc":"","ref":"Redbird.Redis.html#get/1"},{"type":"function","title":"Redbird.Redis.keys/1","doc":"","ref":"Redbird.Redis.html#keys/1"},{"type":"function","title":"Redbird.Redis.pid/0","doc":"","ref":"Redbird.Redis.html#pid/0"},{"type":"function","title":"Redbird.Redis.setex/1","doc":"","ref":"Redbird.Redis.html#setex/1"},{"type":"function","title":"Redbird.Redis.start_link/1","doc":"","ref":"Redbird.Redis.html#start_link/1"},{"type":"module","title":"Redbird.Value","doc":"Value helper functions for Redbird.","ref":"Redbird.Value.html"},{"type":"function","title":"Redbird.Value.deserialize/1","doc":"","ref":"Redbird.Value.html#deserialize/1"},{"type":"function","title":"Redbird.Value.serialize/1","doc":"","ref":"Redbird.Value.html#serialize/1"},{"type":"exception","title":"Redbird.RedisError","doc":"","ref":"Redbird.RedisError.html"},{"type":"function","title":"Redbird.RedisError.raise/1","doc":"","ref":"Redbird.RedisError.html#raise/1"},{"type":"extras","title":"Redbird","doc":"# Redbird\n\nRedbird is a Redis session adapter for Plug.Session.\n\nIt works great for Phoenix!","ref":"readme.html"},{"type":"extras","title":"Installation - Redbird","doc":"","ref":"readme.html#installation"},{"type":"extras","title":"Add Redbird to your dependency list. - Redbird","doc":"```elixir\n  def deps do\n    [\n      {:redbird, \"~> 0.7.1\"},\n    ]\n  end\n```","ref":"readme.html#add-redbird-to-your-dependency-list"},{"type":"extras","title":"Configure Plug - Redbird","doc":"```elixir\nplug Plug.Session,\n  store: :redis,\n  key: \"_app_key\",\n  expiration_in_seconds: 3000 # Optional - default is 30 days\n```","ref":"readme.html#configure-plug"},{"type":"extras","title":"Configure Redbird - Redbird","doc":"All redbird created keys are automatically namespaced with `redbird_session` by\ndefault. If you'd like to set your own custom, per app, configuration you can\nset that in the config.\n\n```elixir\nconfig :redbird, key_namespace: \"my_app_\"\n```","ref":"readme.html#configure-redbird"},{"type":"extras","title":"Configure Redix - Redbird","doc":"Redbird uses [Redix] to communicate with Redis. You can pass configuration\noptions as `redis_options`:\n\n```elixir\nconfig :redbird,\n  redis_options: [\n    host: System.get_env(\"REDIS_HOST\"),\n    port: System.get_env(\"REDIS_PORT\"),\n    password: System.get_env(\"REDIS_PASSWORD\"),\n    ssl: true\n  ]\n```\n\nFor a full list of configuration options, please see [Redix's connection\noptions].\n\n  [Redix]: https://hexdocs.pm/redix/Redix.html\n  [Redix's connection options]: https://hexdocs.pm/redix/Redix.html#start_link/1-connection-options","ref":"readme.html#configure-redix"},{"type":"extras","title":"Mix Tasks - Redbird","doc":"This will give you access to the mix task `mix redbird.delete_all_sessions`, for\nclearing all Redbird created user sessions from Redis. If you have not set up a\nper app `key_namespace` in the config this will clear ALL Redbird sessions on\nyour server. Otherwise it will only clear the sessions created by the specific\napp you're running it in.","ref":"readme.html#mix-tasks"},{"type":"extras","title":"Contributing - Redbird","doc":"Before opening a pull request, please open an issue first.\n\n```\ngit clone https://github.com/beam-community/redbird.git\ncd ex_machina\nmix deps.get\nmix test\n```\n\nOnce you've made your additions and mix test passes, go ahead and open a PR!","ref":"readme.html#contributing"},{"type":"extras","title":"License - Redbird","doc":"Redbird is Copyright (c) 2025 BEAM Community.\nIt is free software, and may be redistributed\nunder the terms specified in the [LICENSE] file.\n\n  [LICENSE]: /LICENSE","ref":"readme.html#license"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nThe noteworthy changes for each Redbird version are included here. For a\ncomplete changelog, see the git history for each version via the version links.\n\n**To see the dates a version was published see the [hex package page].**\n\n[hex package page]: https://hex.pm/packages/redbird\n\n## [0.7.2](https://github.com/beam-community/redbird/compare/v0.7.1...v0.7.2) (2025-06-25)","ref":"changelog.html"},{"type":"extras","title":"Bug Fixes - Changelog","doc":"* Failing tests and missing import ([f9d71bd](https://github.com/beam-community/redbird/commit/f9d71bdbe1e98bc3057a4274f7ee032cca77d873))\n\n## [0.7.1]","ref":"changelog.html#bug-fixes"},{"type":"extras","title":"Fixes - Changelog","doc":"- Avoid resetting the session key with each call to put/4 ([#72]).\n  - For a description of issue and fix, see commit [5dc6bc48].\n- Fix the broken session expiration test ([#73]).\n\n[#72]: https://github.com/thoughtbot/redbird/pull/72\n[#73]: https://github.com/thoughtbot/redbird/pull/73\n[5dc6bc48]: https://github.com/thoughtbot/redbird/commit/5dc6bc486096ffbf896c6ced6b9941bfc4c43ea0\n[0.7.1]: https://github.com/thoughtbot/redbird/compare/v0.7.0...v0.7.1\n\n## [0.7.0]","ref":"changelog.html#fixes"},{"type":"extras","title":"Breaking - Changelog","doc":"- Adds secure keys ([#67]). See commit [299906f].\n\n[#67]: https://github.com/thoughtbot/redbird/pull/67\n[299906f]: https://github.com/thoughtbot/redbird/commit/299906f531fca956bca2e6eb507029f6a699c9e7\n[0.7.0]: https://github.com/thoughtbot/redbird/compare/v0.6.0...v0.7.0","ref":"changelog.html#breaking"},{"type":"extras","title":"LICENSE","doc":"# MIT License\n\nCopyright (c) 2025 BEAM Community\n\nPermission is hereby granted, free of charge, to any person obtaining\na copy of this software and associated documentation files (the\n\"Software\"), to deal in the Software without restriction, including\nwithout limitation the rights to use, copy, modify, merge, publish,\ndistribute, sublicense, and/or sell copies of the Software, and to\npermit persons to whom the Software is furnished to do so, subject to\nthe following conditions:\n\nThe above copyright notice and this permission notice shall be\nincluded in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND,\nEXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF\nMERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND\nNONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE\nLIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION\nOF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION\nWITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}